/*  Copyright 2009 Marc Toussaint
    email: mtoussai@cs.tu-berlin.de

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a COPYING file of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/> */

#ifndef MT_ors_opengl_h
#define MT_ors_opengl_h

class OpenGL;

namespace ors{
  struct Graph;
  struct Mesh;
}

typedef unsigned int uint;

//-- global draw options
extern bool orsDrawJoints,orsDrawBodies,orsDrawGeoms,orsDrawProxies,orsDrawMeshes;
extern uint orsDrawLimit;

//-- static gl draw functions
namespace ors{
  void glDraw(Graph& graph);
  void glDrawGraph(void *classP);
  void glDraw(Mesh& mesh);
  void glDrawMesh(void *classP);
}

void editConfiguration(const char* dcFile,ors::Graph& C,OpenGL& gl);
void animateConfiguration(ors::Graph& C,OpenGL& gl);


#ifdef MT_IMPLEMENTATION
#  include "ors_opengl.cpp"
#endif

#endif
